org.eclipse.cdt.utils

## Class ERandomAccessFile

- java.lang.Object
- - java.io.RandomAccessFile
  - - org.eclipse.cdt.utils.ERandomAccessFile

All Implemented Interfaces:
  Closeable, DataInput, DataOutput, AutoCloseable

    public class ERandomAccessFile
    extends RandomAccessFile

Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`ERandomAccessFile(File file, String mode)`
`ERandomAccessFile(String file, String mode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getFilePointer()`
`void` `readFullyE(byte[] bytes)`
`long` `readIntE()`
`long` `readLongE()`
`short` `readShortE()`
`void` `seek(long pos)`
`void` `setEndian(boolean le)`
`void` `setFileOffset(long offset)`

### Methods inherited from class java.io.RandomAccessFile

`close, getChannel, getFD, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ERandomAccessFile

    public ERandomAccessFile(String file,
                             String mode)
                      throws IOException

Throws:
  `IOException`

#### ERandomAccessFile

    public ERandomAccessFile(File file,
                             String mode)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### setEndian

    public void setEndian(boolean le)

#### readShortE

    public final short readShortE()
                           throws IOException

Throws:
  `IOException`

#### readIntE

    public final long readIntE()
                        throws IOException

Throws:
  `IOException`

#### readLongE

    public final long readLongE()
                         throws IOException

Throws:
  `IOException`

#### readFullyE

    public final void readFullyE(byte[] bytes)
                          throws IOException

Throws:
  `IOException`

#### setFileOffset

    public void setFileOffset(long offset)
                       throws IOException

Throws:
  `IOException`

#### getFilePointer

    public long getFilePointer()
                        throws IOException

Overrides:
  `getFilePointer` in class `RandomAccessFile`
Throws:
  `IOException`

#### seek

    public void seek(long pos)
              throws IOException

Overrides:
  `seek` in class `RandomAccessFile`
Throws:
  `IOException`